Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drag
Interface IDragSourceContext

All Known Implementing Classes:
  DragSourceContext

public interface IDragSourceContext

Interface that contains the context information relevant to the drag source.

Method Summary
`IWorkbenchPart` `getActivePart()` Returns the active `IWorkbenchPart` associated with the drag source viewer.
`ISelection` `getSelection()` Returns the selection of the drag source viewer

Method Detail

### getSelection

    public ISelection getSelection()

  Returns the selection of the drag source viewer

  Returns:
    The selection of the drag source viewer

### getActivePart

    public IWorkbenchPart getActivePart()

  Returns the active `IWorkbenchPart` associated with the drag source viewer.

  Returns:
    The active `IWorkbenchPart`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.